import loadable from '@loadable/component'


import Index from '@/components/Index';
import Classify from '@/components/classify';
import My from '@/components/my';
import MyEdit from '@/components/my/edit';
import CourseList from '@/components/classify/courselist';
import Order from '@/components/order/index';
import Orderinfo from '@/components/order/orderinfo';
import Preferential from '@/components/preferential/index';
import Search from '@/components/search/index'
import SearchResult from '@/components/search/search-result'
import Detail from '@/components/detail/index'
import Examination from '@/components/examination'
import ShopCart from '@/components/shopCart';
import BargainMiddlePage from '@/components/bargainMiddlePage';
import Passport from '@/components/passport';
import { Scholarship } from '@/components/scholarship/index';
import DrawDocument from '@/components/scholarship/DrawDocument/DrawDocument';
import PayOrder from '@/components/order/payOrder/PayOrder'

const Coupons = loadable(() => import(/* webpackChunkName: 'coupons'*/ '@/components/coupons'))
const Study = loadable(() => import(/* webpackChunkName: 'study'*/'@/components/study'))
const Video = loadable(() => import(/* webpackChunkName: 'video'*/'@/components/video'))
const sharePoster = loadable(() => import(/* webpackChunkName: 'shareposter'*/'@/components/sharePoster'))
const myOrders = loadable(() => import(/* webpackChunkName: 'myorders'*/'@/components/myOrders'))
const Purchased = loadable(() => import(/* webpackChunkName: 'purchased'*/'@/components/purchased'))
const ToGroup = loadable(() => import(/* webpackChunkName: 'togroup'*/'@/components/detail/group/togroup'))
export default [
    {
        path: '/',
        exact: true,
        component: Index
    },
    {
        path: '/classify',
        component: Classify
    },
    {
        path: '/study',
        component: Study
    },
    {
        path: '/my',
        component: My
    },
    {
        path: '/myedit',
        component: MyEdit,
        isPrivate: true
    },
    {
        path: '/courselist',
        component: CourseList
    },
    {
        path: '/preferential',
        component: Preferential
    },
    {
        path: '/search',
        exact: true,
        component: Search
    },
    {
        path: '/search-result',
        component: SearchResult
    },
    {
        path: '/order',
        component: Order
    },
    {
        path: '/orderinfo',
        component: Orderinfo
    },
    {
        path: '/detail',
        component: Detail
    },
    {
        path: '/examination',
        component: Examination
    },
    {
        path: '/coupons',
        component: Coupons,
        isPrivate: true
    },
    {
        path: '/shopcart',
        component: ShopCart,
        isPrivate: true
    },
    {
        path: '/bargain-middle-page',
        component: BargainMiddlePage
    },
    {
        path: '/passport',
        component: Passport
    },
    {
        path: '/play',
        component: Video
    },
    {
        path: '/scholarship',
        component: Scholarship
    },
    {
        path: '/document',
        component: DrawDocument
    },
    {
        path: '/shareposter',
        component: sharePoster,
        isPrivate: true
    },
    {
        path: '/myorders',
        component: myOrders,
        isPrivate: true
    },
    {
        path: '/purchased',
        component: Purchased,
        isPrivate: true
    },
    {
        path: '/payOrder',
        component: PayOrder
    },
    {
        path: '/togroup',
        component: ToGroup,
        isPrivate: true
    },
]